gModifyMessage-class {MVCClass} | R Documentation

## Class "gModifyMessage": A class to represent a modify message

### Description

gModifyMessage is a virtual class to represent a modify message. Both gAddMessage and gUpdateMessage classes are inherited from gModifyMessage.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`dataName`:
  the name of the data to be added or the name of the data that the view will visualize
`mData`:
  a list of information needed to perform the addition
`type`:
  the type of addition to perform (ex. which type of model to add or which type of view to add)

### Extends

Class `"gMessage"`, directly.

### Methods

dataName<-
  Sets the `dataName` slot
dataName
  Returns the `dataName` slot
mData<-
  Sets the `mData` slot
mData
  Returns the `mData` slot
type<-
  Sets the `type` slot
type
  Returns the `type` slot

### Author(s)

Elizabeth Whalen

### See Also

`gMessage-class`, `gAddMessage-class`, `gUpdateMessage-class`

[Package MVCClass version 1.18.0 Index]